/*-
 * ============LICENSE_START=======================================================
 * SDC
 * ================================================================================
 * Copyright (C) 2019 AT&T Intellectual Property. All rights reserved.
 * ================================================================================
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * ============LICENSE_END=========================================================
 */

package org.openecomp.sdc.be.servlets;

import static org.mockito.Mockito.mock;

import javax.servlet.ServletContext;
import javax.servlet.http.HttpServletRequest;
import javax.ws.rs.core.Response;

import org.junit.Test;
import org.openecomp.sdc.be.components.impl.*;
import org.openecomp.sdc.be.components.lifecycle.LifecycleChangeInfoWithAction;
import org.openecomp.sdc.be.datatypes.enums.ComponentTypeEnum;
import org.openecomp.sdc.be.impl.ComponentsUtils;
import org.openecomp.sdc.be.impl.ServletUtils;
import org.openecomp.sdc.be.model.User;
import org.openecomp.sdc.be.user.UserBusinessLogic;
import org.openecomp.sdc.exception.ResponseFormat;

import com.google.common.base.Equivalence.Wrapper;
import com.google.common.util.concurrent.Service;

import fj.data.Either;

public class ServiceServletTest {

	private ServiceServlet createTestSubject() {
		UserBusinessLogic userBusinessLogic = mock(UserBusinessLogic.class);
		ComponentInstanceBusinessLogic componentInstanceBL = mock(ComponentInstanceBusinessLogic.class);
		ComponentsUtils componentsUtils = mock(ComponentsUtils.class);
		ServletUtils servletUtils = mock(ServletUtils.class);
		ResourceImportManager resourceImportManager = mock(ResourceImportManager.class);
		ServiceBusinessLogic serviceBusinessLogic = mock(ServiceBusinessLogic.class);
		ResourceBusinessLogic resourceBusinessLogic = mock(ResourceBusinessLogic.class);

		return new ServiceServlet(userBusinessLogic, componentInstanceBL, componentsUtils, servletUtils,
			resourceImportManager, serviceBusinessLogic, resourceBusinessLogic);
	}

	
	@Test
	public void testCreateService() throws Exception {
		ServiceServlet testSubject;
		String data = "";
		HttpServletRequest request = null;
		String userId = "";
		Response result;

		// default test
		testSubject = createTestSubject();
		
	}

	
	@Test
	public void testParseToService() throws Exception {
		ServiceServlet testSubject;
		String serviceJson = "";
		User user = null;
		Either<Service, ResponseFormat> result;

		// default test
		testSubject = createTestSubject();
	}

	
	@Test
	public void testValidateServiceName() throws Exception {
		ServiceServlet testSubject;
		String serviceName = "";
		HttpServletRequest request = null;
		String userId = "";
		Response result;

		// default test
		testSubject = createTestSubject();
		
	}

	
	@Test
	public void testGetComponentAuditRecords() throws Exception {
		ServiceServlet testSubject;
		String componentType = "";
		String componentUniqueId = "";
		HttpServletRequest request = null;
		String userId = "";
		Response result;

		// default test
		testSubject = createTestSubject();
		
	}

	
	@Test
	public void testFillUUIDAndVersion() throws Exception {
	ServiceServlet testSubject;Wrapper<Response> responseWrapper = null;
	Wrapper<String> uuidWrapper = null;
	Wrapper<String> versionWrapper = null;
	User user = null;
	ComponentTypeEnum componentTypeEnum = null;
	String componentUniqueId = "";
	ServletContext context = null;
	
	
	// default test
	}

	
	@Test
	public void testDeleteService() throws Exception {
		ServiceServlet testSubject;
		String serviceId = "";
		HttpServletRequest request = null;
		Response result;

		// default test
		testSubject = createTestSubject();
		
	}

	
	@Test
	public void testDeleteServiceByNameAndVersion() throws Exception {
		ServiceServlet testSubject;
		String serviceName = "";
		String version = "";
		HttpServletRequest request = null;
		Response result;

		// default test
		testSubject = createTestSubject();
		
	}

	
	@Test
	public void testUpdateServiceMetadata() throws Exception {
		ServiceServlet testSubject;
		String serviceId = "";
		String data = "";
		HttpServletRequest request = null;
		String userId = "";
		Response result;

		// default test
		testSubject = createTestSubject();
		
	}

	
	@Test
	public void testUpdateGroupInstancePropertyValues() throws Exception {
		ServiceServlet testSubject;
		String serviceId = "";
		String componentInstanceId = "";
		String groupInstanceId = "";
		String data = "";
		HttpServletRequest request = null;
		String userId = "";
		Response result;

		// default test
		testSubject = createTestSubject();
		
	}

	
	@Test
	public void testGetServiceById() throws Exception {
		ServiceServlet testSubject;
		String serviceId = "";
		HttpServletRequest request = null;
		String userId = "";
		Response result;

		// default test
		testSubject = createTestSubject();
		
	}

	
	@Test
	public void testGetServiceByNameAndVersion() throws Exception {
		ServiceServlet testSubject;
		String serviceName = "";
		String serviceVersion = "";
		HttpServletRequest request = null;
		String userId = "";
		Response result;

		// default test
		testSubject = createTestSubject();
		
	}

	
	@Test
	public void testUpdateServiceDistributionState() throws Exception {
		ServiceServlet testSubject;
		LifecycleChangeInfoWithAction jsonChangeInfo = null;
		String serviceId = "";
		String state = "";
		HttpServletRequest request = null;
		String userId = "";
		Response result;

		// default test
		testSubject = createTestSubject();
		
	}

	
	@Test
	public void testActivateDistribution() throws Exception {
		ServiceServlet testSubject;
		String serviceId = "";
		String env = "";
		HttpServletRequest request = null;
		String userId = "";
		Response result;

		// default test
		testSubject = createTestSubject();
		
	}

	
	@Test
	public void testMarkDistributionAsDeployed() throws Exception {
		ServiceServlet testSubject;
		String serviceId = "";
		String did = "";
		HttpServletRequest request = null;
		String userId = "";
		Response result;

		// default test
		testSubject = createTestSubject();
		
	}

	
	@Test
	public void testTempUrlToBeDeleted() throws Exception {
		ServiceServlet testSubject;
		String serviceId = "";
		HttpServletRequest request = null;
		String userId = "";
		Response result;

		// default test
		testSubject = createTestSubject();
		
	}

	
	@Test
	public void testDownloadServiceArtifact() throws Exception {
		ServiceServlet testSubject;
		String artifactName = "";
		HttpServletRequest request = null;
		Response result;

		// default test
		testSubject = createTestSubject();
		
	}

	
	@Test
	public void testExecuteCommand() throws Exception {
		ServiceServlet testSubject;
		String artifactName = "";
		Either<byte[], ResponseFormat> result;

		// default test
		testSubject = createTestSubject();
	}
}
